Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Class LazySchemaFactory

    java.lang.Object
      org.apache.openjpa.jdbc.schema.NameSet
          org.apache.openjpa.jdbc.schema.SchemaGroup
              org.apache.openjpa.jdbc.schema.LazySchemaFactory

All Implemented Interfaces:
  Serializable, Cloneable, SchemaFactory, Configurable

    public class LazySchemaFactory

extends SchemaGroup
implements SchemaFactory, Configurable

Factory that uses database metadata to construct the system schema. The lazy schema factory only loads table data as it is requested. It does not properly support operations that require knowledge of the entire schema.

Author:
  Abe White
See Also:
  Serialized Form

Constructor Summary
`LazySchemaFactory()`

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`Sequence` | `findSequence(DBIdentifier name)`
`Sequence` | `findSequence(QualifiedDBIdentifier name)`
`Sequence` | `findSequence(String name)` Deprecated.
`Table` | `findTable(DBIdentifier name)`
`Table` | `findTable(QualifiedDBIdentifier path)`
`Table` | `findTable(String name)` Deprecated.
`boolean` | `getForeignKeys()`
`boolean` | `getIndexes()`
`boolean` | `getPrimaryKeys()`
`SchemaGroup` | `readSchema()` Return the schema group for the current object model and database.
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `setForeignKeys(boolean fks)`
`void` | `setIndexes(boolean idx)`
`void` | `setPrimaryKeys(boolean pks)`
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.
`void` | `storeSchema(SchemaGroup schema)` Record the schema group after changes may have been made.

Methods inherited from class org.apache.openjpa.jdbc.schema.SchemaGroup
`addSchema, addSchema, addSchema, clone, copy, findExportedForeignKeys, findSequence, findSequence, findSequence, findTable, findTable, findTable, findTable, findTable, getSchema, getSchema, getSchemas, importSchema, isKnownSequence, isKnownSequence, isKnownSequence, isKnownSequence, isKnownTable, isKnownTable, isKnownTable, newColumn, newColumn, newForeignKey, newForeignKey, newIndex, newIndex, newInstance, newPrimaryKey, newPrimaryKey, newSchema, newSchema, newSequence, newSequence, newTable, newTable, newUnique, newUnique, removeSchema, removeUnusedComponents`

Methods inherited from class org.apache.openjpa.jdbc.schema.NameSet
`addName, addName, isNameTaken, isNameTaken, removeName, removeName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LazySchemaFactory

    public LazySchemaFactory()

Method Detail

### getPrimaryKeys

    public boolean getPrimaryKeys()

### setPrimaryKeys

    public void setPrimaryKeys(boolean pks)

### getForeignKeys

    public boolean getForeignKeys()

### setForeignKeys

    public void setForeignKeys(boolean fks)

### getIndexes

    public boolean getIndexes()

### setIndexes

    public void setIndexes(boolean idx)

### readSchema

    public SchemaGroup readSchema()

  Description copied from interface: `SchemaFactory`
  Return the schema group for the current object model and database.

  Specified by:
    `readSchema` in interface `SchemaFactory`

### storeSchema

    public void storeSchema(SchemaGroup schema)

  Description copied from interface: `SchemaFactory`
  Record the schema group after changes may have been made.

  Specified by:
    `storeSchema` in interface `SchemaFactory`
  Parameters:
    `schema` - the schema definition for the entire system

### findTable

    public Table findTable(String name)

  Deprecated.

  Description copied from class: `SchemaGroup`
  Find the table with the given name in the group, using '.' as the catalog separator. Returns null if no table found.

  Overrides:
    `findTable` in class `SchemaGroup`

### findTable

    public Table findTable(DBIdentifier name)

### findTable

    public Table findTable(QualifiedDBIdentifier path)

  Overrides:
    `findTable` in class `SchemaGroup`

### findSequence

    public Sequence findSequence(String name)

  Deprecated.

  Description copied from class: `SchemaGroup`
  Find the sequence with the given name in the group, using '.' as the catalog separator. Returns null if no sequence found.

  Overrides:
    `findSequence` in class `SchemaGroup`

### findSequence

    public Sequence findSequence(DBIdentifier name)

  Overrides:
    `findSequence` in class `SchemaGroup`

### findSequence

    public Sequence findSequence(QualifiedDBIdentifier name)

  Overrides:
    `findSequence` in class `SchemaGroup`

### setConfiguration

    public void setConfiguration(Configuration conf)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.

  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.

  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.

  Specified by:
    `endConfiguration` in interface `Configurable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.